Subject: bug#58049: 29.0.50; Obsolete url schemes "info" and "man"

From: Jean Louis <[email-masked]>
Date: Tue, 27 Sep 2022 09:00:02 +0300

* Lars Ingebrigtsen <[email-masked]> [2022-09-25 17:32]:
> Augusto Stoffel <[email-masked]> writes:
> 
> > I can imagine many uses for this.  For instance, a completion table
> > could provide some kind of "further info" property so you can preview
> > the documentation of an item mid-completion.
> 
> Why on Earth would you use URL syntax for something like that?  Just add
> the "further info" property and link that up with a closure from a text
> property or whatever
> 
> I'm all for retiring the info: and man: schemes (since they are 100%
> useless), but don't really see the need to do so piecemeal -- when Emacs
> grows a new URL library that functions better than the current one,
> it'll only support http(s) and file, so all this junk will disappear in
> one fell swoop.

Whatever you wish to remove, maybe I misunderstood it, but please do
not remove functionality from goto-address-mode that I can make any
kinds of links in Emacs buffers:

man:man is link here. I can open it as C-c RET and such links may be
automatically generated in my hyperlinking system, including many
other links.

URL schemes are standard, you do not just delete it because you do not
know how why on Earth would somebody use it.

Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/